package cn.iocoder.yudao.module.system.controller.admin.equipment.vo.attendancemachine;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 考勤设备分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AttendanceMachinePageReqVO extends PageParam {

    @Schema(description = "资产编号")
    private String assetsNo;

    @Schema(description = "设备号")
    private String deviceNo;

    @Schema(description = "所属部门编号", example = "128")
    private Long deptId;

    @Schema(description = "设备名称")
    private String deviceName;

    @Schema(description = "设备密码")
    private String password;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}