package cn.iocoder.yudao.module.system.controller.admin.equipment.vo.attendancemachine;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 考勤设备新增/修改 Request VO")
@Data
public class AttendanceMachineSaveReqVO {

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Long id;

    @Schema(description = "资产编号", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "资产编号不能为空")
    private String assetsNo;

    @Schema(description = "设备号", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "设备号不能为空")
    private String deviceNo;

    @Schema(description = "所属部门编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "128")
    @NotNull(message = "所属部门编号不能为空")
    private Long deptId;

    @Schema(description = "设备名称", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "设备名称不能为空")
    private String deviceName;

    @Schema(description = "设备密码", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "设备密码不能为空")
    private String password;

}