package cn.iocoder.yudao.module.system.convert.equipment;

import cn.iocoder.yudao.framework.common.util.collection.CollectionUtils;
import cn.iocoder.yudao.framework.common.util.object.BeanUtils;
import cn.iocoder.yudao.module.system.controller.admin.equipment.vo.userExt.UsersExtRespVO;
import cn.iocoder.yudao.module.system.dal.dataobject.dept.DeptDO;
import cn.iocoder.yudao.module.system.dal.dataobject.equipment.UsersExtDO;
import cn.iocoder.yudao.module.system.dal.dataobject.user.AdminUserDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;
import java.util.Map;

@Mapper
public interface UsersExtConvert {

    UsersExtConvert INSTANCE = Mappers.getMapper(UsersExtConvert.class);

    default List<UsersExtRespVO> convertList(List<UsersExtDO> list, Map<Long, AdminUserDO> userMap, Map<Long, DeptDO> deptMap) {

        return CollectionUtils.convertList(list, user -> convert(user, userMap.get(user.getUserId()), deptMap.get(user.getDeptId())));
    }

    default UsersExtRespVO convert(UsersExtDO usersExtDO, AdminUserDO user, DeptDO dept) {

        UsersExtRespVO userVO = BeanUtils.toBean(usersExtDO, UsersExtRespVO.class);

        if (user != null) {
            userVO.setUserName(user.getNickname());
        }

        if (dept != null) {
            userVO.setDeptName(dept.getName());
        }

        return userVO;
    }
}
