package cn.iocoder.yudao.module.system.dal.mysql.equipment;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.system.controller.admin.equipment.vo.attendancemachine.AttendanceMachinePageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.equipment.AttendanceMachineDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 考勤设备 Mapper
 *
 * @author 符溶馨
 */
@Mapper
public interface AttendanceMachineMapper extends BaseMapperX<AttendanceMachineDO> {

    default PageResult<AttendanceMachineDO> selectPage(AttendanceMachinePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<AttendanceMachineDO>()
                .eqIfPresent(AttendanceMachineDO::getAssetsNo, reqVO.getAssetsNo())
                .eqIfPresent(AttendanceMachineDO::getDeviceNo, reqVO.getDeviceNo())
                .eqIfPresent(AttendanceMachineDO::getDeptId, reqVO.getDeptId())
                .likeIfPresent(AttendanceMachineDO::getDeviceName, reqVO.getDeviceName())
                .eqIfPresent(AttendanceMachineDO::getPassword, reqVO.getPassword())
                .betweenIfPresent(AttendanceMachineDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(AttendanceMachineDO::getId));
    }

}