package cn.iocoder.yudao.module.system.dal.mysql.equipment;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.system.controller.admin.equipment.vo.userExt.UsersExtPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.equipment.UsersExtDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 用户信息拓展 Mapper
 *
 * @author 符溶馨
 */
@Mapper
public interface UsersExtMapper extends BaseMapperX<UsersExtDO> {

    default PageResult<UsersExtDO> selectPage(UsersExtPageReqVO reqVO) {

        LambdaQueryWrapperX<UsersExtDO> queryWrapper = new LambdaQueryWrapperX<>();

        queryWrapper.inIfPresent(UsersExtDO::getUserId, reqVO.getUserIds())
                .eqIfPresent(UsersExtDO::getDeptId, reqVO.getDeptId())
                .betweenIfPresent(UsersExtDO::getCreateTime, reqVO.getCreateTime());

        if (reqVO.getIsEnter() == 1) {
            queryWrapper.isNotNull(UsersExtDO::getFaceImg);
        }else if (reqVO.getIsEnter() == 0) {
            queryWrapper.isNull(UsersExtDO::getFaceImg);
        }

        queryWrapper.orderByDesc(UsersExtDO::getId);

        return selectPage(reqVO, queryWrapper);
    }

}