package cn.iocoder.yudao.module.system.service.equipment;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.equipment.vo.userExt.UsersExtPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.equipment.vo.userExt.UsersExtSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.equipment.UsersExtDO;

import javax.validation.Valid;

/**
 * 用户信息拓展 Service 接口
 *
 * @author 符溶馨
 */
public interface UsersExtService {

    /**
     * 创建用户信息拓展
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createUsersExt(@Valid UsersExtSaveReqVO createReqVO);

    /**
     * 更新用户信息拓展
     *
     * @param updateReqVO 更新信息
     */
    void updateUsersExt(@Valid UsersExtSaveReqVO updateReqVO);

    /**
     * 获得用户信息拓展
     *
     * @param id 编号
     * @return 用户信息拓展
     */
    UsersExtDO getUsersExt(Long id);

    /**
     * 获得用户信息拓展分页
     *
     * @param pageReqVO 分页查询
     * @return 用户信息拓展分页
     */
    PageResult<UsersExtDO> getUsersExtPage(UsersExtPageReqVO pageReqVO);

}